## SwItemStream

SwItemStream

## Functions

const gchar * | sw_item_stream_get_object_path ()
SwService * | sw_item_stream_get_service ()
void | sw_item_stream_add_items ()
void | sw_item_stream_add_item ()
void | sw_item_stream_update_items ()
void | sw_item_stream_update_item ()
void | sw_item_stream_remove_items ()
void | sw_item_stream_remove_item ()

## Properties

gchar * | object-path | Read
SwService * | service | Read / Write / Construct Only

## Types and Values

| SwItemStream

## Object Hierarchy

        GObject
        ╰── SwItemStream

## Implemented Interfaces

SwItemStream implements SwItemViewIface.

## Description

## Functions

### sw_item_stream_get_object_path ()

    const gchar *
    sw_item_stream_get_object_path (SwItemStream *item_stream);

Since SwItemStream is responsible for constructing the object path and registering the object on the bus. This function is necessary for SwCore to be able to return the object path as the result of a function to open a view.

#### Parameters

item_stream | A SwItemStream |

#### Returns

A string providing the object path.

### sw_item_stream_get_service ()

    SwService *
    sw_item_stream_get_service (SwItemStream *item_stream);

#### Parameters

item_stream | A SwItemStream |

#### Returns

The SwService that SwItemStream is for

### sw_item_stream_add_items ()

    void
    sw_item_stream_add_items (SwItemStream *item_stream,
                              GList *items);

Add the items supplied in the list from the SwItemStream. This will cause signal emissions over the bus.

#### Parameters

item_stream | A SwItemStream |
items | A list of SwItem objects |

### sw_item_stream_add_item ()

    void
    sw_item_stream_add_item (SwItemStream *item_stream,
                             SwItem *item);

Add a single item in the SwItemStream. This will cause a signal to be emitted across the bus.

#### Parameters

item_stream | A SwItemStream |
item | A SwItem |

### sw_item_stream_update_items ()

    void
    sw_item_stream_update_items (SwItemStream *item_stream,
                                 GList *items);

Update the items supplied in the list in the SwItemStream. This is will cause signal emissions over the bus.

#### Parameters

item_stream | A SwItemStream |
items | A list of SwItem objects that need updating |

### sw_item_stream_update_item ()

    void
    sw_item_stream_update_item (SwItemStream *item_stream,
                                SwItem *item);

Update a single item in the SwItemStream. This will cause a signal to be emitted across the bus.

#### Parameters

item_stream | A SwItemStream |
item | A SwItem |

### sw_item_stream_remove_items ()

    void
    sw_item_stream_remove_items (SwItemStream *item_stream,
                                 GList *items);

Remove the items supplied in the list from the SwItemStream. This will cause signal emissions over the bus.

#### Parameters

item_stream | A SwItemStream |
items | A list of SwItem objects |

### sw_item_stream_remove_item ()

    void
    sw_item_stream_remove_item (SwItemStream *item_stream,
                                SwItem *item);

Remove a single item to the SwItemStream. This will cause a signal to be emitted across the bus.

#### Parameters

item_stream | A SwItemStream |
item | A SwItem |

## Types and Values

### SwItemStream

    typedef struct _SwItemStream SwItemStream;

## Property Details

### The `“object-path”` property

      “object-path”              gchar *

The object path of this view.

Flags: Read

Default value: NULL

### The `“service”` property

      “service”                  SwService *

The service this view is using.

Flags: Read / Write / Construct Only